package envoy.event.contact;

import envoy.event.Event;

/**
 * Requests a contact search from the server.<br>
 * <br>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>ContactSearchRequest.java</strong><br>
 * Created: <strong>05.02.2020</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy Common v0.2-alpha
 */
public class ContactSearchRequest extends Event<String> {

	private static final long serialVersionUID = 0L;

	/**
	 * Initializes a {@link ContactSearchRequest}.
	 *
	 * @param searchPhrase the search phrase to use in the contact search
	 * @since Envoy Common v0.2-alpha
	 */
	public ContactSearchRequest(String searchPhrase) { super(searchPhrase); }
}
